explain_pwrite_or_die(3)

NAME
explain_pwrite_or_die - seek and write to a file descriptor and report errors

SYNOPSIS
#include <libexplain/pwrite.h>

ssize_t explain_pwrite_or_die(int fildes, const void *data, size_t data_size, off_t offset);
ssize_t explain_pwrite_on_error(int fildes, const void *data, size_t data_size, off_t offset))

DESCRIPTION
The explain_pwrite_or_die function is used to call the pwrite(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_pwrite(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_pwrite_on_error function is used to call the pwrite(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_pwrite(3) function, but still returns to the caller.

fildes
    The fildes, exactly as to be passed to the pwrite(2) system call.

data
    The data, exactly as to be passed to the pwrite(2) system call.

data_size
    The data_size, exactly as to be passed to the pwrite(2) system call.

offset
    The offset, exactly as to be passed to the pwrite(2) system call.

RETURN VALUE
The explain_pwrite_or_die function only returns on success, see pwrite(2) for more information. On failure, prints an explanation and exits, it does not return.

The explain_pwrite_on_error function always returns the value return by the wrapped pwrite(2) system call.

EXAMPLE
The explain_pwrite_or_die function is intended to be used in a fashion similar to the following example:
    ssize_t result = explain_pwrite_or_die(fildes, data, data_size, offset);

SEE ALSO

pwrite(2)
    read from or write to a file descriptor at a given offset

explain_pwrite(3)
    explain pwrite(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 0.46
Copyright (C) 2009 Peter Miller